import React from 'react'
import { date2s, time2s } from '../../helpers.js'

class MatchDisp extends React.Component {
  render () {
    const match = this.props.match
    return (
      <tr>
        <td>{match.Ort || <strong>Kein Platz zugeteilt</strong>}</td>
        <td>{match.Datum ? date2s(match.Datum) : <strong>Kein Datum zugeteilt</strong>}</td>
        <td>{match.Datum ? time2s(match.Datum) : <strong>Keine Zeit zugeteilt</strong>}</td>
        <td>{match.Konkurrenz}</td>
        <td>{match.Spieler1}</td>
        <td>{match.Spieler2}</td>
      </tr>
    )
  }
}

export default MatchDisp
