import React from 'react'
import { date2s, time2s } from '../../helpers'

class PlayerDisp extends React.Component {
  render () {
    const player = this.props.player
    return (
      <tr>
        <td><i>{player.Konkurrenz}</i></td>
        <td><b>{player.Name}</b></td>
        <td>{player.Vorname}</td>
        <td><b>{player.NameDP}</b></td>
        <td>{player.VornameDP}</td>
        <td>{player.Bezahlt ? 'Ja' : 'Nein'}</td>
        <td>{player.BezahltAm ? `${date2s(player.BezahltAm)} ${time2s(player.BezahltAm)}` : 'Unbekannt'}</td>
        <td>{player.isJunior ? 'Junior' : ''}</td>
        <td>{player.isJuniorDP ? 'DP Junior' : ''}</td>
      </tr>
    )
  }
}

export default PlayerDisp
